<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="../qengine/engine/AbstractEngine.html" title="class in qengine.engine"><span class="typeNameLink">AbstractEngine</span></a> - Class in <a href="../qengine/engine/package-summary.html">qengine.engine</a></dt>
<dd>
<div class="block">Base d'un moteur de requêtes RDF.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/AbstractEngine.html#%3Cinit%3E()">AbstractEngine()</a></span> - Constructor for class qengine.engine.<a href="../qengine/engine/AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/engine/AbstractEngine.Impl.html" title="enum in qengine.engine"><span class="typeNameLink">AbstractEngine.Impl</span></a> - Enum in <a href="../qengine/engine/package-summary.html">qengine.engine</a></dt>
<dd>
<div class="block">Énumération des implémentations de <a href="../qengine/engine/AbstractEngine.html" title="class in qengine.engine"><code>AbstractEngine</code></a>.</div>
</dd>
<dt><a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator"><span class="typeNameLink">AbstractEngineComparator</span></a> - Class in <a href="../qengine/engine/comparator/package-summary.html">qengine.engine.comparator</a></dt>
<dd>
<div class="block">Comparaison de deux moteurs en les faisant s'exécuter séquentiellement.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#%3Cinit%3E(qengine.engine.AbstractEngine.Impl,qengine.engine.AbstractEngine.Impl)">AbstractEngineComparator(AbstractEngine.Impl, AbstractEngine.Impl)</a></span> - Constructor for class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/engine/comparator/AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator"><span class="typeNameLink">AbstractEngineComparator.Impl</span></a> - Enum in <a href="../qengine/engine/comparator/package-summary.html">qengine.engine.comparator</a></dt>
<dd>
<div class="block">Énumération des implémentations de <a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator"><code>AbstractEngineComparator</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Index.html#add(int,int,int)">add(int, int, int)</a></span> - Method in interface qengine.index.<a href="../qengine/index/Index.html" title="interface in qengine.index">Index</a></dt>
<dd>
<div class="block">Ajoute un triplet d'indices à l'index s'il n'est pas déjà présent.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/OPS.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/OPS.html" title="class in qengine.index.triplestore">OPS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/OSP.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/OSP.html" title="class in qengine.index.triplestore">OSP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/POS.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore">POS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/PSO.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore">PSO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/SOP.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore">SOP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/TripleStore.html#add(int,int,int)">add(int, int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore">TripleStore</a></dt>
<dd>
<div class="block">Ajoute un triplet d'indices à l'index s'il n'est pas déjà présent.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/Dictionary.html#addIfAbsent(java.lang.String)">addIfAbsent(String)</a></span> - Method in interface qengine.dictionary.<a href="../qengine/dictionary/Dictionary.html" title="interface in qengine.dictionary">Dictionary</a></dt>
<dd>
<div class="block">Ajoute la donnée si elle n'est pas déjà présente.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/dictionary/HashMapIndexedDictionary.html#addIfAbsent(java.lang.String)">addIfAbsent(String)</a></span> - Method in class qengine.dictionary.<a href="../qengine/dictionary/HashMapIndexedDictionary.html" title="class in qengine.dictionary">HashMapIndexedDictionary</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
